package com.ruoyi.mall.service.impl;

import java.util.List;

import com.ruoyi.mall.domain.vo.IndexBannerVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mall.mapper.MallBannerMapper;
import com.ruoyi.mall.domain.MallBanner;
import com.ruoyi.mall.service.IMallBannerService;

/**
 * 轮播图Service业务层处理
 * 
 * @author ruoyi
 * @date 2021-11-25
 */
@Service
public class MallBannerServiceImpl implements IMallBannerService 
{
    @Autowired
    private MallBannerMapper mallBannerMapper;

    /**
     * 查询轮播图
     * 
     * @param id 轮播图主键
     * @return 轮播图
     */
    @Override
    public MallBanner selectMallBannerById(Long id)
    {
        return mallBannerMapper.selectMallBannerById(id);
    }

    /**
     * 查询轮播图列表
     * 
     * @param mallBanner 轮播图
     * @return 轮播图
     */
    @Override
    public List<MallBanner> selectMallBannerList(MallBanner mallBanner)
    {
        return mallBannerMapper.selectMallBannerList(mallBanner);
    }

    /**
     * 新增轮播图
     * 
     * @param mallBanner 轮播图
     * @return 结果
     */
    @Override
    public int insertMallBanner(MallBanner mallBanner)
    {
        return mallBannerMapper.insertMallBanner(mallBanner);
    }

    /**
     * 修改轮播图
     * 
     * @param mallBanner 轮播图
     * @return 结果
     */
    @Override
    public int updateMallBanner(MallBanner mallBanner)
    {
        return mallBannerMapper.updateMallBanner(mallBanner);
    }

    /**
     * 批量删除轮播图
     * 
     * @param ids 需要删除的轮播图主键
     * @return 结果
     */
    @Override
    public int deleteMallBannerByIds(Long[] ids)
    {
        return mallBannerMapper.deleteMallBannerByIds(ids);
    }

    /**
     * 删除轮播图信息
     * 
     * @param id 轮播图主键
     * @return 结果
     */
    @Override
    public int deleteMallBannerById(Long id)
    {
        return mallBannerMapper.deleteMallBannerById(id);
    }

    @Override
    public List<IndexBannerVO> indexSelectMallBannerList(MallBanner mallBanner) {

        return mallBannerMapper.indexSelectMallBannerList(mallBanner);
    }

    @Override
    public List<IndexBannerVO> classIndexSelectMallBannerList(MallBanner mallBanner) {
        return mallBannerMapper.classIndexSelectMallBannerList(mallBanner);
    }
}
